CREATE TABLE IF NOT EXISTS xplugin_lfs_idealo_attribute (
    id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    group_id INT NOT NULL,
    group_id_standard INT NOT NULL,
    cName VARCHAR(255) NOT NULL,
    cName_standard VARCHAR(255) NOT NULL,
    cWertname VARCHAR(255) NOT NULL,
    cWertname_standard VARCHAR(255) NOT NULL,
    cType VARCHAR(255) NOT NULL DEFAULT 'string',
    eWertHerkunft ENUM('ArtikelEigenschaft','FunktionsAttribut','Attribut','Merkmal','WertName','VaterAttribut','WerteKombination','BasePrice') NOT NULL DEFAULT 'ArtikelEigenschaft',
    eWertHerkunft_standard ENUM('ArtikelEigenschaft','FunktionsAttribut','Attribut','Merkmal','WertName','VaterAttribut','WerteKombination','BasePrice') DEFAULT NULL,
    bStandard TINYINT NOT NULL DEFAULT '0',
    bAktiv TINYINT NOT NULL DEFAULT '1'
);

CREATE TABLE IF NOT EXISTS xplugin_lfs_idealo_attributgruppe (
    id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    name VARCHAR(255) NOT NULL,
    type ENUM('values', 'keys_and_values') DEFAULT 'keys_and_values',
    bStandard TINYINT NOT NULL DEFAULT '0',
    bAktiv TINYINT NOT NULL DEFAULT '1',
    created_at DATETIME NOT NULL,
    updated_at DATETIME NOT NULL
);

INSERT INTO xplugin_lfs_idealo_attributgruppe (id, name, type, bStandard, bAktiv, created_at, updated_at) values (1, 'lenses', 'keys_and_values', 1, 0, NOW(), NOW());
INSERT INTO xplugin_lfs_idealo_attributgruppe (id, name, type, bStandard, bAktiv, created_at, updated_at) values (2, 'tires', 'keys_and_values', 1, 0, NOW(), NOW());
INSERT INTO xplugin_lfs_idealo_attributgruppe (id, name, type, bStandard, bAktiv, created_at, updated_at) values (3, 'eans', 'values', 1, 1, NOW(), NOW());
INSERT INTO xplugin_lfs_idealo_attributgruppe (id, name, type, bStandard, bAktiv, created_at, updated_at) values (4, 'oens', 'values', 1, 0, NOW(), NOW());
INSERT INTO xplugin_lfs_idealo_attributgruppe (id, name, type, bStandard, bAktiv, created_at, updated_at) values (5, 'hans', 'values', 1, 0, NOW(), NOW());
INSERT INTO xplugin_lfs_idealo_attributgruppe (id, name, type, bStandard, bAktiv, created_at, updated_at) values (6, 'pzns', 'values', 1, 0, NOW(), NOW());
INSERT INTO xplugin_lfs_idealo_attributgruppe (id, name, type, bStandard, bAktiv, created_at, updated_at) values (7, 'kbas', 'values', 1, 0, NOW(), NOW());

/* @Todo: Insert default values */
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"sku", "sku", "cArtNr", "cArtNr", "ArtikelEigenschaft", "ArtikelEigenschaft", 1, 1, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"title", "title", "cName", "cName", "ArtikelEigenschaft", "ArtikelEigenschaft", 1, 1, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"url", "url", "cURLFull", "cURLFull", "ArtikelEigenschaft", "ArtikelEigenschaft", 1, 1, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"basePrice", "basePrice", "cLocalizedVPE", "cLocalizedVPE", "BasePrice", "BasePrice", 1, 1, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"packagingUnit", "packagingUnit", "fPackeinheit", "fPackeinheit", "ArtikelEigenschaft", "ArtikelEigenschaft", 1, 1, "number");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"voucherCode", "voucherCode", "idealoVoucherCode", "idealoVoucherCode", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"brand", "brand", "cHersteller", "cHersteller", "ArtikelEigenschaft", "ArtikelEigenschaft", 1, 1, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"description", "description", "cBeschreibung", "cBeschreibung", "ArtikelEigenschaft", "ArtikelEigenschaft", 1, 1, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"deliveryComment", "deliveryComment", "idealoDeliveryComment", "idealoDeliveryComment", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"delivery", "delivery", "cEstimatedDelivery", "cEstimatedDelivery", "ArtikelEigenschaft", "ArtikelEigenschaft", 1, 1, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"freeReturnDays", "freeReturnDays", "idealoFreeReturnDays", "idealoFreeReturnDays", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "number");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"checkout", "checkout", "true", "true", "WertName", "WertName", 1, 1, "boolean");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"checkoutLimitPerPeriod", "checkoutLimitPerPeriod", "idealoCheckoutLimitPerPeriod", "idealoCheckoutLimitPerPeriod", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "number");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"quantityPerOrder", "quantityPerOrder", "idealoQuantityPerOrder", "idealoQuantityPerOrder", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "number");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"minimumPrice", "minimumPrice", "idealoMinimumPrice", "idealoMinimumPrice", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"fulfillmentType", "fulfillmentType", "PARCEL_SERVICE", "PARCEL_SERVICE", "WertName", "WertName", 1, 1, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"twoManHandlingFee", "twoManHandlingFee", "idealoTwoManHandlingFee", "idealoTwoManHandlingFee", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"disposalFee", "disposalFee", "idealoDisposalFee", "idealoDisposalFee", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"eec", "eec", "idealoEec", "idealoEec", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"deposit", "deposit", "idealoDeposit", "idealoDeposit", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"size", "size", "idealoSize", "idealoSize", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"colour", "colour", "idealoColour", "idealoColour", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"gender", "gender", "idealoGender", "idealoGender", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"material", "material", "idealoMaterial", "idealoMaterial", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"replica", "replica", "idealoReplica", "idealoReplica", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "boolean");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"used", "used", "idealoUsed", "idealoUsed", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "boolean");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"download", "download", "idealoDownload", "idealoDownload", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "boolean");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"merchantName", "merchantName", "idealoMerchantName", "idealoMerchantName", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (0,0,"merchantId", "merchantId", "idealoMerchantId", "idealoMerchantId", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");

/* EAN-Gruppe */
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (3,3,"eans", "eans", "cBarcode", "cBarcode", "ArtikelEigenschaft", "ArtikelEigenschaft", 1, 1, "string");

/* Lenses */
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (1,1,"diopter", "diopter", "idealoDiopter", "idealoDiopter", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (1,1,"baseCurve", "baseCurve", "idealoBaseCurve", "idealoBaseCurve", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (1,1,"diameter", "diameter", "idealoDiameter", "idealoDiameter", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (1,1,"cylinder", "cylinder", "idealoCylinder", "idealoCylinder", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (1,1,"axis", "axis", "idealoAxis", "idealoAxis", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (1,1,"addition", "addition", "idealoAddition", "idealoAddition", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");

/* Tires */
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (2,2,"fuelEfficiency", "fuelEfficiency", "idealoFuelEfficiency", "idealoFuelEfficiency", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (2,2,"wetGrip", "wetGrip", "idealoWetGrip", "idealoWetGrip", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (2,2,"externalRollingNoise", "externalRollingNoise", "idealoExternalRollingNoise", "idealoExternalRollingNoise", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");
INSERT INTO xplugin_lfs_idealo_attribute (group_id, group_id_standard, cName, cName_standard, cWertname, cWertname_standard, eWertHerkunft, eWertHerkunft_standard, bStandard, bAktiv, cType)
VALUES (2,2,"rollingNoiseClass", "rollingNoiseClass", "idealoRollingNoiseClass", "idealoRollingNoiseClass", "FunktionsAttribut", "FunktionsAttribut", 1, 0, "string");

CREATE TABLE IF NOT EXISTS xplugin_lfs_idealo_artikel (
    kArtikel INT NOT NULL,
    cArtNr VARCHAR(255) NOT NULL,
    created_at DATETIME NOT NULL,
    updated_at DATETIME NOT NULL
);

CREATE TABLE IF NOT EXISTS xplugin_lfs_idealo_queue (
    id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    kArtikel INT NOT NULL,
    cJobtype VARCHAR(255) NOT NULL,
    created_at DATETIME NOT NULL
);

CREATE TABLE IF NOT EXISTS xplugin_lfs_idealo_log (
    id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    kArtikel INT NOT NULL,
    cArtNr VARCHAR(255) NOT NULL,
    cJobtype VARCHAR(255) NOT NULL,
    message LONGTEXT,
    created_at DATETIME NOT NULL
);

CREATE TABLE IF NOT EXISTS xplugin_lfs_idealo_lastsync (
    lastsyncdate DATETIME
);

INSERT INTO xplugin_lfs_idealo_lastsync (lastsyncdate) values (NULL);