<?php
require_once $oPlugin->cFrontendPfad . "/../classes/class.lfs_idealo.php";
$lfsIdealo = new \Lilfoot\LfsIdealo\lfsIdealo($oPlugin);

$cHinweis = "";
$cFehler = "";

$eWertHerkunft_arr = array(
    'Artikel-Eigenschaft' => 'ArtikelEigenschaft',
    'Funktionsattribut'   => 'FunktionsAttribut',
    'Attribut'            => 'Attribut',
    'Merkmal'             => 'Merkmal',
    'statischer Wert'     => 'WertName',
    'Vater-Attribut'      => 'VaterAttribut',
    'Werte-Kombination'   => 'WerteKombination',
    'Grundpreis (ignoriert alle anderen Optionen)'   => 'BasePrice');

$paymentCostsMapping = array(
    "Click&Buy" => 'CLICK_AND_BUY',
    "Kreditkarte" => 'CREDIT_CARD',
    "Vorkasse" => 'CASH_IN_ADVANCE',
    "Nachnahme" => 'CASH_ON_DELIVERY',
    "Lastschrift" => 'DIRECT_DEBIT',
    "Google Pay" => 'GOOGLE_CHECKOUT',
    "Giropay" => 'GIROPAY',
    "Rechnung" => 'INVOICE',
    "Moneybookers" => 'MONEYBOOKERS',
    "Post Order" => 'POSTAL_ORDER',
    "Postpay" => 'POSTPAY',
    "PayPal" => 'PAYPAL',
    "PaysafeCard" => 'PAYSAFECARD',
    "Sofort" => 'SOFORTUEBERWEISUNG',
    "Amazon Payment" => 'AMAZON_PAYMENT',
    "Ecotax" => 'ECOTAX',
    "iClear" => 'ICLEAR',
    "berweisung" => 'ELECTRONIC_PAYMENT_STANDARD'
);

$deliveryCostsMapping = array(
    "Deutsche Post" => 'DEUTSCHE_POST',
    "DHL" => 'DHL',
    "DHL Go Green" => 'DHL_GO_GREEN',
    "Download" => 'DOWNLOAD',
    "DPD" => 'DPD',
    "Fedex" => 'FEDEX',
    "GEL Express Logistik" => 'GERMAN_EXPRESS_LOGISTICS',
    "GLS" => 'GLS',
    "GLS Think Green" => 'GLS_THINK_GREEN',
    "Hermes" => 'HERMES',
    "Pick Point" => 'PICK_POINT',
    "Spedition" => 'SPEDITION',
    "TNT" => 'TNT',
    "Trans-O-Flex" => 'TRANS_O_FLEX',
    "UPS" => 'UPS'
);

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['type']) && $_POST['type'] == "saveattribute") {
        $oReturn = new stdClass();

        if ($lfsIdealo->saveAttribute($_POST)) {
            $oReturn->success = 1;
        }
        else {
            $oReturn->success = 0;
        }

        header('Content-type: application/json');
        print json_encode($oReturn);
        die();
    }

    if (isset($_POST['type']) && $_POST['type'] == "deleteattribute") {
        $oReturn = new stdClass();

        if ($lfsIdealo->deleteAttribute($_POST['id'])) {
            $oReturn->success = 1;
        }
        else {
            $oReturn->success = 0;
        }

        header('Content-type: application/json');
        print json_encode($oReturn);
        die();
    }

    if (isset($_POST['type']) && $_POST['type'] == "saveattributegroup") {
        $oReturn = new stdClass();
        $oReturn->post = $_POST;
        if ($lfsIdealo->saveAttributeGroup($_POST)) {
            $oReturn->success = 1;
        }
        else {
            $oReturn->success = 0;
        }

        header('Content-type: application/json');
        print json_encode($oReturn);
        die();
    }

    if (isset($_POST['type']) && $_POST['type'] == "deleteattributgroup") {
        $oReturn = new stdClass();

        if ($lfsIdealo->deleteAttributeGroup($_POST['id'])) {
            $oReturn->success = 1;
        }
        else {
            $oReturn->success = 0;
        }

        header('Content-type: application/json');
        print json_encode($oReturn);
        die();
    }

    if (isset($_POST['type']) && $_POST['type'] == "resetattribute") {
        $oReturn = new stdClass();

        if ($lfsIdealo->resetAttribute($_POST['id'])) {
            $oReturn->success = 1;
        }
        else {
            $oReturn->success = 0;
        }

        header('Content-type: application/json');
        print json_encode($oReturn);
        die();
    }
}


$lfsIdealoAttribute = $lfsIdealo->getAttributes();
$lfsIdealoAttributGroups = $lfsIdealo->getAttributeGroups();
$js_arr = array('<script src="'.$oPlugin->cAdminmenuPfadURL.'js/vendor/sweetalert2.min.js'.'"></script>');
Shop::Smarty()->assign("admin_js",Shop::Smarty()->get_template_vars('admin_js').join('',$js_arr));
Shop::Smarty()->assign('lfsIdealoAttribute', $lfsIdealoAttribute)
    ->assign('lfsIdealoAttributGroups', $lfsIdealoAttributGroups)
    ->assign('lfsPaymentCostsMapping', $paymentCostsMapping)
    ->assign('lfsDeliveryCostsMapping', $deliveryCostsMapping)
    ->assign('eWertHerkunft_arr', $eWertHerkunft_arr)
    ->assign('cHinweis', $cHinweis)
    ->assign('cFehler', $cFehler)
    ->assign('URL_SHOP', Shop::getURL())
    ->assign('FORM_URL', Shop::getAdminURL()."/plugin.php?kPlugin=".$oPlugin->kPlugin)
    ->assign('PFAD_ROOT', PFAD_ROOT)
    ->assign('URL_ADMINMENU', Shop::getURL() . '/' . PFAD_PLUGIN . $oPlugin->cVerzeichnis . '/' . PFAD_PLUGIN_VERSION . $oPlugin->nVersion . '/' . PFAD_PLUGIN_ADMINMENU)
    ->assign('stepPlugin', $stepPlugin)
    ->display($oPlugin->cAdminmenuPfad . 'templates/lfs_idealo_attribute.tpl');
