<?php

if ($oPlugin->oPluginEinstellungAssoc_arr['lfs_idealo_active'] === 'Y') {

    $tmpPos = strpos($_SERVER['REQUEST_URI'], "?");
    if ($tmpPos !== false) {
        $tmpRequestUri = str_replace("/", "", substr($_SERVER['REQUEST_URI'], 0, $tmpPos));
    }
    else {
        $tmpRequestUri = str_replace("/", "", $_SERVER['REQUEST_URI']);
    }

    if ($tmpRequestUri === 'idealo_worker') {
        require_once $oPlugin->cFrontendPfad . "/../classes/class.lfs_idealo.php";
        $lfsIdealo = new \Lilfoot\LfsIdealo\lfsIdealo($oPlugin);

        if (isset($_GET['sku'], $_GET['showJson'])) {
            $tmpArticle = $lfsIdealo->loadArticleFromDbBySKU(Shop::DB()->escape($_GET['sku']));
            header('Content-type: application/json');
            print json_encode($lfsIdealo->getArticleSpecification($tmpArticle));

            if (isset($_GET['nosync'])) {
                die();
            }
        }

        // Synclog cleanup
        $lfsIdealo->synclogCleanup();

        if ($oPlugin->oPluginEinstellungAssoc_arr['lfs_idealo_syncmode'] === 'C') {
            $errors = [];

            $queueEntries = $lfsIdealo->getQueue();

            if (is_array($queueEntries) && count($queueEntries)>0) {
                foreach ($queueEntries as $entry) {
                    $lfsIdealo->setQueueElementId($entry->id);
                    switch ($entry->cJobtype) {
                        case "CREATE/UPDATE":
                            if (!$lfsIdealo->pushArticle($entry->kArtikel)) {
                                $errors[] = $lfsIdealo->getErrorMessage();
                            }

                            break;

                        case "DELETE":
                            if (!$lfsIdealo->deleteArticle($entry->kArtikel)) {
                                $errors[] = $lfsIdealo->getErrorMessage();
                            }
                            break;

                        case "FULLDELETE":
                            if (!$lfsIdealo->deleteAllArticles()) {
                                $errors[] = $lfsIdealo->getErrorMessage();
                            }
                            break;
                    }
                }
            }

            if (count($errors)>0) {
                $lfsIdealo->sendErrorMail($errors);
            }
        }

        die();
    }

}