<?php
if ($oPlugin->oPluginEinstellungAssoc_arr['lfs_idealo_active'] === 'Y') {
    require_once $oPlugin->cFrontendPfad . "/../classes/class.lfs_idealo.php";
    $lfsIdealo = new \Lilfoot\LfsIdealo\lfsIdealo($oPlugin);

    if ($oPlugin->oPluginEinstellungAssoc_arr['lfs_idealo_syncmode'] === 'A') {
        // Synclog cleanup
        $lfsIdealo->synclogCleanup();

        $errors = [];

        $queueEntries = $lfsIdealo->getQueue();

        if (is_array($queueEntries) && count($queueEntries)>0) {
            foreach ($queueEntries as $entry) {
                $lfsIdealo->setQueueElementId($entry->id);
                switch ($entry->cJobtype) {
                    case "CREATE/UPDATE":
                        if (!$lfsIdealo->pushArticle($entry->kArtikel)) {
                            $errors[] = $lfsIdealo->getErrorMessage();
                        }

                        break;

                    case "DELETE":
                        if (!$lfsIdealo->deleteArticle($entry->kArtikel)) {
                            $errors[] = $lfsIdealo->getErrorMessage();
                        }
                        break;

                    case "FULLDELETE":
                        if (!$lfsIdealo->deleteAllArticles()) {
                            $errors[] = $lfsIdealo->getErrorMessage();
                        }
                        break;
                }
            }
        }

        if (count($errors)>0) {
            $lfsIdealo->sendErrorMail($errors);
        }
    }
}